CREATE TABLE COMPANY_BRANCH
(
    ID                   BIGINT PRIMARY KEY,
    NAME                 VARCHAR(150) NOT NULL,
    CREATED_AT           TIMESTAMP WITHOUT TIME ZONE,
    LAST_UPDATE          TIMESTAMP WITHOUT TIME ZONE,
    ADDRESS_CITY         VARCHAR(30)  NOT NULL,
    ADDRESS_STREET       VARCHAR(30)  NOT NULL,
    ADDRESS_HOUSE_NUMBER VARCHAR(10)  NOT NULL,
    ADDRESS_ZIP_CODE     VARCHAR(12)  NOT NULL,
    ADDRESS_COUNTRY      VARCHAR(3)   NOT NULL,
    COMPANY_ID           BIGINT
);

CREATE SEQUENCE IF NOT EXISTS company_branch_id_sequence OWNED BY company_branch.id;
ALTER TABLE COMPANY_BRANCH
    ALTER COLUMN ID SET DEFAULT nextval('company_branch_id_sequence');
ALTER TABLE ONLY company_branch
    ADD CONSTRAINT company_branch_company_fk FOREIGN KEY (company_id) REFERENCES company (id);
